%define	oname	scid_vs_pc
%define	rname	scid

Summary:	Chess database
Name:		scidvspc
Version:	4.8
Release:	%mkrel 2
Group:		Games/Boards
License:	GPL
Source0:	%{oname}-%{version}.tgz
URL:		http://scidvspc.sourceforge.net
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
BuildRequires:	zlib-devel
Conflicts:	%{rname}

%description
Scid (Shane's Chess Information Database) is a free chess database
application for Unix and Microsoft Windows operating systems.

Scid converts to and from PGN (Portable Game Notation) format, which
is the standard for text-based chess information exchange, but uses
its own fast compact format for storing files.

%prep
%setup -q -n %{oname}-%{version}

%build
./configure BINDIR=%{_bindir} SHAREDIR=%{_datadir}/%{rname}
%make

%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_datadir}/%{rname}
%makeinstall BINDIR=%{buildroot}%{_bindir} SHAREDIR=%{buildroot}%{_datadir}/%{rname}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/128x128/apps
cp icons/%{rname}.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Scid vs. PC
Comment=Chess games database
Exec=%{rname}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=BoardGame;
EOF

%files
%{_bindir}/*
%{_datadir}/%{rname}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*/*/*/%{name}.*
%doc doc/ChangeLog doc/CHANGES doc/README doc/THANKS doc/TODO


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 4.8-2.mga3
+ Revision: 381823
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 12 2012 dams <dams> 4.8-1.mga3
+ Revision: 317214
- new version 4.8

* Thu Jul 26 2012 dams <dams> 4.7-1.mga3
+ Revision: 274518
- imported package scidvspc

